package cn.com.qmth.examcloud.app.core.router;

public enum Server {

    /**
     * 基础信息平台
     */
    BASIC("EC-CORE-BASIC"),

    /**
     * 考务平台
     */
    EXAMWORK("EC-CORE-EXAMWORK"),

    /**
     * 网考管理端平台
     */
    OE_ADMIN("EC-CORE-OE-ADMIN"),

    /**
     * 网考学生端平台
     */
    OE_STUDENT("EC-CORE-OE-STUDENT"),

    /**
     * 题库平台
     */
    QUESTION("EC-CORE-QUESTION");

    private String instanceName;

    Server(String instanceName) {
        this.instanceName = instanceName;
    }

    public String getInstanceName() {
        return instanceName;
    }

}