/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-17 16:14:47.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.model;

import java.io.Serializable;

public class ResBody implements Serializable {
    private static final long serialVersionUID = 1L;
    /* 考务、题库等接口返回结果 */
    private String code;//状态码
    private String desc;//描述信息

    /* 网考接口返回结果 */
    private String errorMsg;
    private String content;

    /* 短信接口返回结果 */
    private Boolean success;
    private String returnMsg;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Boolean getSuccess() {
        return success;
    }

    public void setSuccess(Boolean success) {
        this.success = success;
    }

    public String getReturnMsg() {
        return returnMsg;
    }

    public void setReturnMsg(String returnMsg) {
        this.returnMsg = returnMsg;
    }

}