/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-31 17:15:16.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.service;

import cn.com.qmth.examcloud.app.model.DeviceRecord;
import cn.com.qmth.examcloud.app.model.DeviceRecordQuery;
import cn.com.qmth.examcloud.app.model.Result;
import org.springframework.data.domain.Page;

/**
 * 设备访问记录Service
 *
 * @author: fengdesheng
 * @since: 2018/7/31
 */
public interface DeviceRecordService {

    /**
     * 查询设备访问记录(分页)
     *
     * @param params
     * @return
     * @throws Exception
     */
    Result<Page<DeviceRecord>> getDeviceRecordList(DeviceRecordQuery params) throws Exception;

    /**
     * 新增设备访问记录
     *
     * @param deviceRecord
     * @throws Exception
     */
    void addDeviceRecord(DeviceRecord deviceRecord) throws Exception;

}