<#assign base=request.contextPath>
<!DOCTYPE html>
<html lang="zh-cn">
<head>
    <title>${status!}</title>
    <meta name="renderer" content="webkit"/>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1"/>
</head>
<body>
<div style="padding-left: 10px;">
    <h1>${status!}</h1>
    <h3>
        <#if status??>
            <#if status==401>
                未授权，访问由服务器拒绝！
            <#elseif status==403>
                禁止访问，无访问权限！
            <#elseif status==404>
                抱歉，页面不存在！
            <#else>
                系统错误，请与管理员联系！
            </#if>
        </#if>
    </h3>
    <p><a href="${base}/api/app-api">返回首页</a></p>
    <#if status??>
        <#if status==500>
            <p><i>${errMsg!}</i></p>
            <p><i>${error!}</i></p>
            <p><i>${exception!}</i></p>
            <p><i>${message!}</i></p>
        </#if>
    </#if>
</div>
</body>
</html>