/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-31 16:20:47.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.model;

/**
 * 登录类型枚举类
 *
 * @author: fengdesheng
 * @since: 2018/7/31
 */
public enum LoginType {

    /**
     * 常规登录名(非学生登录)
     */
    COMMON_LOGIN_NAME,

    /**
     * 学生学号登录
     */
    STUDENT_CODE,

    /**
     * 学生手机号登录
     */
    STUDENT_PHONE,

    /**
     * 学生身份证号登录
     */
    STUDENT_IDENTITY_NUMBER

}