/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-31 17:19:06.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.service.impl;

import cn.com.qmth.examcloud.app.core.SysProperty;
import cn.com.qmth.examcloud.app.service.UpYunService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 又拍云文件服务接口
 *
 * @author: fengdesheng
 * @since: 2018/7/16
 */
@Service
public class UpYunServiceImpl implements UpYunService {
    private static Logger log = LoggerFactory.getLogger(UpYunServiceImpl.class);
    @Autowired
    private SysProperty sysProperty;

    @Override
    public String downloadPaperAnswer(String filePath) throws Exception {
        //封装请求参数
        return String.format("%s/%s", sysProperty.getDomain(), filePath);
    }

}